@media (min-height: 4.5em) {
  html, body {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    margin: 0;
    font-size: 10px;
    color: white;
    background: transparent;
  }

  html * {
    overflow: hidden;
  }

  .font-light {
    font-weight: 300;
  }

  #calls:not(.big-duration) .duration {
    padding-left: 1.5rem;
  }

  #calls:not(.big-duration) .duration .font-light {
    font-weight: normal;
    line-height: 8rem;
  }

  #calls:not(.big-duration) > section.ended .duration .font-light {
    line-height: 1.7rem;
  }

  #calls:not(.big-duration) .duration .total-duration {
    display: none;
    font-weight: normal;
  }

  #calls:not(.big-duration) > section.ended .duration .total-duration {
    display: block;
    padding: 0;
    line-height: 1.7rem;
    text-align: right;
  }

  button::-moz-focus-inner {
    border: 0;
  }

  #phone-number-view {
    width:100%;
    border:0;
    background:transparent;
    text-align: left;
    cursor:none;
    -moz-user-select: none;
  }

  .grid-wrapper {
    width:100%;
    height:100%;
  }

  .grid-v-align {
    vertical-align:middle;
  }

  .grid-row {
    display:table-row;
  }

  .grid-cell {
    display:table-cell;
  }

  .grid {
    display:table;
    table-layout:fixed;
    border:0;
  }

  .grid.hide {
    display: none;
  }

  #keypad-callbar.hide,
  #keypad-hide-bar.hide {
    display: none;
  }

  .grid-row.transparent,
  #co-advanced.transparent {
    visibility: hidden;
  }

  .layout-row {
    display:table-row;
  }

  .layout-cell {
    display:table-cell;
  }

  .layout-centered {
    vertical-align:middle;
  }

  .center {
    text-align:center;
  }

  #views {
    position: absolute;
    top: 100%;
    height: 100%;
    width: 100%;
    z-index: -1;
  }

  body.showKeypad #views {
    transition: transform 0.3s ease;
    transform: translateY(-100%);
    z-index: 500;
  }

  body.showKeypad #keyboard-container {
    height: 34rem;
    background: rgba(255,255,255,0.85);
    position: absolute;
    bottom: 0;
  }

  body.showKeypad #keypad {
    height: 28rem;
  }

  body.showKeypad .duration {
    transition: visibility 0.3s ease;
    visibility: hidden;
  }

  body.showKeypad #call-options {
    transition: transform 0.3s ease;
    transform: translateY(16rem);
  }

  body.showKeypad #group-show {
    display: none;
  }

  #views > .view {
    height: 100%;
    width: 100%;
  }

  body.hidden *[data-l10n-id] {
    visibility: hidden;
  }

  #call-screen {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    border: 0;
    background: black;
    z-index: 100;
  }

  /* This transition is needed to trigger a transitionend event in */
  /* call_screen.js */
  #call-screen:not([data-layout="incoming-locked"]) {
    transform: translateY(-100%);
    transition: transform 0.5s ease 1.5s;
  }

  #call-screen:not([data-layout="incoming-locked"]).displayed {
    transform: translateY(0);
    transition: transform 0.5s ease 0s;
  }

  #call-screen:before {
    background: url("images/call_screen/mask.png") no-repeat scroll 50% 50% / cover transparent;
  }

  #main-container {
    position: absolute;
    height: 100%;
    width: 100%;
    background: #000 no-repeat center top/cover;
  }

  #actions-container {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 14rem;
  }

  #call-options {
    height: 14rem;
    position: absolute;
    bottom: 0;
  }

  #co-advanced {
    height: 8rem;
  }

  .co-advanced-option {
    height: 8rem;
    width: 100%;
    background: rgba(255, 255, 255, 0.85);
    -moz-box-sizing: border-box;
    border-radius: 0;
    padding: 0;
  }

  .co-advanced-option:not([disabled]):active {
    background: #94eee9;
  }


  #co-advanced span.grid-cell:first-child .co-advanced-option {
    border-left: 0;
  }

  #co-advanced span.grid-cell:last-child .co-advanced-option {
    border-right: 0;
  }

  #co-advanced.no-add-call #place-new-call-container {
    display: none;
  }

  .co-advanced-option .icon {
    display: inline-block;
    background-size: 4rem;
    width: 4rem;
    height: 4rem;
  }

  button[disabled] .icon {
    opacity: 0.6;
  }

  .icon-mute {
    background-image: url('images/call_screen/actionicon_activecall_mute_40x80.png');
  }

  .icon-keypad-visibility {
    background-image: url('images/call_screen/actionicon_activecall_dialpad.png');
  }

  .icon-place-new-call {
    background-image: url('images/call_screen/actionicon_activecall_add_call.png');
  }

  .icon-speaker {
    background-image: url('images/call_screen/actionicon_activecall_speaker_40x80.png');
  }

  .icon-bt {
    background-image: url('images/call_screen/actionicon_activecall_speaker.png');
  }

  .co-advanced-option.active-state .icon.icon-mute,
  .co-advanced-option.active-state .icon.icon-speaker,
  .co-advanced-option.active-state .icon.icon-bt  {
    background-position: 0 -4rem;
  }

  .co-advanced-option:active .icon.icon-mute,
  .co-advanced-option:active .icon.icon-speaker,
  .co-advanced-option:active .icon.icon-bt {
    background-position: 0 0;
  }

  #callbar {
    background: rgba(255, 255, 255, 0.85);
    -moz-box-sizing: border-box;
  }

  #callbar-hang-up {
    float: left;
    height: 6rem;
    width: 50%;
  }

  #callbar-answer {
    height: 6rem;
    width: 50%;
  }

  #callbar-hold {
    height: 6rem;
    width: 50%;
    display: none;
  }

  #callbar > button {
    padding: 0;
    border: none;
    background: none;
  }

  .callbar-inner-button {
    display: block;
    height: 4rem;
    border: 0;
    border-radius: 2rem;
    background-size: auto 100%;
  }

  #callbar-hang-up > .callbar-inner-button {
    margin: 1rem 0.5rem 1rem 1.5rem;
    background: url('images/handled_call/actionicon_activecall_hangup.png') center / 4rem no-repeat,
                #e00000;
  }

  #callbar-hang-up:active > .callbar-inner-button {
    background: url('images/handled_call/actionicon_activecall_hangup.png') center / 4rem no-repeat,
                #ff5933;
  }

  #callbar-answer > .callbar-inner-button {
    margin: 1rem 1.5rem 1rem .5rem;
    background: url('images/handled_call/actionicon_activecall_pickup.png') center / 4rem no-repeat,
                #00adad;
  }

  #callbar-answer:active > .callbar-inner-button {
    background: url('images/handled_call/actionicon_activecall_pickup.png') center / 4rem no-repeat,
                #94eee9;
  }

  #callbar-hold > .callbar-inner-button {
    background-color: #00adad;
    color: #333;
    text-align: center;
    font-size: 1.7rem;
    line-height: 4rem;
    margin: 0 1.5rem 0 0.5rem;
    font-style: italic;
  }

  #callbar-hold:active > .callbar-inner-button {
    background: #94eee9;
  }

  /* Multiple call handling */
  #calls {
    position: absolute;
    top: 0;
    width: 100%;
    height: 24rem;
    z-index: 500;
  }

  #calls > section {
    position: relative;
    height: 8rem;
    font-size: 1.8rem;
    background-color: #00adad;
    transition: background-color 0.3s linear;
    opacity: 1;
    color: white;
  }

  #calls > section.groupended {
    display: none;
  }

  #calls > section div {
    padding-left: 2.5rem;
    padding-right: 2rem;
  }

  #calls.big-duration > section {
    height: 23rem;
    background-color: transparent;
  }

  #calls > section .switch-calls {
    display: none;
  }

  #calls.switch > section .switch-calls {
    display: block;
    height: 8.0rem;
    width: auto;
    float: right;
    padding: 0;
  }

  #calls[data-cdma-call-waiting="true"] > section.additionalInfo .switch-calls {
    height: 10rem;
  }

  #switch-calls-button {
    display: block;
    margin: 0 1.3rem 0 0;
    padding: 0;
    height: 4rem;
    width: 12.8rem;
    border: 0;
    position: relative;
    top: calc(50% - 2rem);
    border-radius: 2rem;
    background: url('images/handled_call/ActionIcon_40x40_switchlines.png'),
                url('images/btn_switchlines.png');
    background-size: 4rem, auto 100%;
    background-position: center, center;
    background-repeat: no-repeat, repeat-x;
  }

  #switch-calls-button:active {
    background: url('images/handled_call/ActionIcon_40x40_switchlines.png'),
                url('images/handled_call/btn_switchlines_press.png');
    background-size: 4rem, auto 100%;
    background-position: center, center;
    background-repeat: no-repeat, repeat-x;
  }

  #calls:not(.big-duration) > section .numberWrapper {
    padding-left: 4rem;
    padding-right: 9rem;
  }

  #calls:not(.big-duration) > section:not(.ended) .duration:not(.isTimer) {
    visibility: hidden;
  }

  #calls.big-duration > section .numberWrapper,
  #calls.big-duration > section .additionalContactInfo,
  #calls.big-duration > section .switch-calls {
    background: rgba(255,255,255,0.85);
    transition: background-color 0.3s linear;
  }

  #calls.big-duration > section .numberWrapper .number {
    height: 3.7rem;
    line-height: 3.7rem;
  }

  #calls > section .numberWrapper .number {
    height: 2.5rem;
    padding: 2.25rem 0 0 0;
    font-size: 3.4rem;
    line-height: 1.5rem;
    color: #333;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-style: italic;
  }

  #calls:not(.single-line) > section .numberWrapper .number {
    height: 2rem;
  }

  #calls:not(.single-line) > section:not(.held) .numberWrapper .number {
    color: #fff;
  }

  #calls:not(.single-line) > section.ended .numberWrapper .number {
    color: rgba(255, 255, 255, 0.6);
  }

  #calls > section:not(.additionalInfo) .numberWrapper .number {
    height: 9rem;
    line-height: 8rem;
    padding: 1rem 0 0 0;
  }

  #calls > section.emergency.additionalInfo .numberWrapper .number {
    color: #b90000;
  }

  #calls:not(.single-line) > section:not(.additionalInfo) .numberWrapper .number {
    height: 8rem;
    line-height: 8rem;
    padding: 0;
  }

  #calls.switch > section .numberWrapper .number {
    font-size: 2.3rem;
  }

  #calls > section.handled-call .fake-number,
  #fake-incoming-number,
  #group-call-details-list > section.handled-call .fake-number {
    position: absolute;
    visibility: hidden;
    white-space: nowrap;
    padding: 0;
    font-style: italic;
  }

  #calls > section .additionalContactInfo,
  #group-call-details-list  > section .additionalContactInfo {
    height: 1.5rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 0 0 2rem;
    font-size: 1.6rem;
    line-height: 2rem;
  }

  #calls > section .additionalContactInfo {
    font-style: italic;
    color: #333;
  }

  #calls:not(.single-line) > section .additionalContactInfo {
    height: 3.75rem;
    padding: 0 7rem 0 4rem;
  }


  #calls:not(.single-line) > section:not(.held) .additionalContactInfo {
    color: #033b37;
  }

  #calls:not(.single-line) > section.ended .additionalContactInfo {
    color: rgba(255, 255, 255, 0.6);
  }

  #calls:not(.single-line) > section:not(.held) .isTimer {
    color: #fff;
  }

  #calls.big-duration > section .additionalContactInfo {
    padding: 0 2rem 2.5rem 2.5rem;
  }

  #calls > section:not(.additionalInfo) .additionalContactInfo {
    display: none;
  }

  #calls > section .shadow {
    display: none;
  }

  #calls.switch > section .shadow {
    display: block;
    background: url('images/call_screen/Shadow_SwitchBg.png');
    height: 0.9rem;
    width: 100%;
  }

  #calls:not(.big-duration) > section .duration {
    position: absolute;
    right: 0;
    top: 0;
    color: #333;
    height: 8rem;
    line-height: 8rem;
  }

  #calls.big-duration > section .duration {
    height: 13rem;
    width: 100%;
    background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0));
  }

  #calls.big-duration > section .duration > span {
    font-size: 2.7rem;
    text-shadow: 0 0.2rem 0.1rem rgba(0,0,0,0.3);
  }

  #calls.big-duration > section .duration.isTimer > span {
    font-size: 5.9rem;
    font-feature-settings: "tnum";
  }

  #calls.big-duration .total-duration {
    display: none;
    padding-left: 0;
    padding-right: 0;
    font-size: 1.6rem;
    text-shadow: 0 0.1rem 0 rgba(0,0,0,0.3);
  }

  #calls.big-duration > section.ended .total-duration {
    display: inline;
    font-size: 2.7rem;
    margin-left: 0.5rem;
  }

  #calls:not(.big-duration) > section.incoming {
    background-image: url('images/handled_call/actionicon_callscreen_incomingcall.png');
    background-size: 3rem;
    background-position: 0.7rem;
    background-repeat: no-repeat;
  }

  #calls:not(.big-duration) > section.outgoing {
    background-image: url('images/handled_call/actionicon_callscreen_outgoingcall.png');
    background-size: 3rem;
    background-position: 0.7rem;
    background-repeat: no-repeat;
  }

  #calls:not(.big-duration) > section.held,
  #calls.big-duration > section.held .numberWrapper,
  #calls.big-duration > section.held .additionalContactInfo,
  #calls.big-duration > section.held .switch-calls,
  #calls.big-duration > section.ended .numberWrapper,
  #calls.big-duration > section.ended .additionalContactInfo,
  #calls.big-duration > section.ended .switch-calls {
    background-color: rgba(255, 255, 255, 0.85);
  }

  #calls:not(.big-duration) > section.ended,
  #calls.big-duration > section.held .numberWrapper,
  #calls.big-duration > section.held .additionalContactInfo,
  #calls.big-duration > section.held .switch-calls,
  #calls.big-duration > section.ended .numberWrapper,
  #calls.big-duration > section.ended .additionalContactInfo,
  #calls.big-duration > section.ended .switch-calls {
    background-color: rgba(207, 64, 64, 0.9);
  }

  #calls:not(.big-duration) > section.held {
    background-image: url('images/handled_call/actionicon_activecall_paused.png');
    background-position: 0.7rem;
    background-repeat: no-repeat;
    background-size: 3rem;
  }

  #calls:not(.big-duration) > section.ended {
    background-image: url('images/shared/actionicon_activecall_hangup_small.png');
    background-position: 0.7rem;
    background-repeat: no-repeat;
    background-size: 3rem;
  }

  #calls > section.ended .numberWrapper .number,
  #calls > section.ended .additionalContactInfo,
  #calls.big-duration > section.ended .additionalContactInfo,
  #calls.big-duration > section.held .additionalContactInfo {
    color: rgba(255,255,255,0.6);
  }

  #calls.big-duration > section.held .duration {
    display: block;
  }

  #calls > section .numberWrapper {
    white-space: nowrap;
  }

  #calls > section.held:not(.ended) .duration {
    display: none;
  }

  #calls > section .duration > .direction {
    display: none;
  }

  #calls.big-duration > section .duration > .direction {
    display: inline-block;
    width: 4rem;
    height: 6.5rem;
    padding: 0;
  }

  #calls.big-duration .handled-call .direction:before {
    content: "";
    display: block;
    width: 4rem;
    height: 4rem;
    margin: 3.2rem 0 0 0;
    background-repeat: no-repeat;
    background-size: 2.6rem;
  }

  #calls.big-duration .handled-call.incoming .direction:before {
    background-image: url('images/handled_call/actionicon_callscreen_incomingcall.png');
    background-size: 4rem;
  }

  #calls.big-duration .handled-call.outgoing .direction:before {
    background-image: url('images/handled_call/actionicon_callscreen_outgoingcall.png');
    background-size: 4rem;
  }

  #calls.big-duration .handled-call.ended .direction:before {
    background-image: url('images/handled_call/actionicon_callscreen_hangup.png');
    background-size: 4rem;
    background-position: 0 0.8rem;
  }

  #calls:not(.big-duration) > section.ended .duration,
  #calls:not(.big-duration) > section.ended.held .duration {
    color: white;
    font-size: 1.4rem;
  }

  #calls:not(.big-duration) > section.ended .duration {
    line-height: 0;
    margin-top: 2.3rem;
  }

  #calls:not(.big-duration) > section:not(.additionalInfo):not(.ended) .duration .font-light {
    line-height: 3.5rem;
  }


  #incoming-container {
    position: absolute;
    bottom: 0;
    width: 100%;
    transform: translateY(100%);
    transition: transform 0.3s ease-in-out;
    z-index: 500;
  }

  #incoming-container header {
    margin-bottom: 2rem;
    display: flex;
  }

  #incoming-info {
    position: relative;
    color: #333;
    font-style: italic;
  }

  #incoming-info:not(.additionalInfo) #incoming-number {
    line-height: 5rem;
  }

  #incoming-info:not(.additionalInfo) .incoming-number-info {
    background-position: 27.2rem 3rem;
  }

  #incoming-container.displayed {
    transform: translateY(0);
  }

  #incoming-container button {
    height: 4rem;
    flex: 1;
    border:0;
    border-radius:2rem;
    display: block;
    font-size: 1.8rem;
    color: white;
    background-position: center, center;
    background-repeat: no-repeat, repeat-x;
  }

  #incoming-container.hold-and-answer-only #incoming-end {
    display: none;
  }

  #incoming-answer {
    background: url('images/handled_call/actionicon_activecall_hold.png'),
                #00adad;
    background-size: 4rem, auto 100%;
    margin-left: 1rem;
    margin-right: 1.5rem;
  }

  #incoming-end {
    background: url('images/handled_call/actionicon_activecall_hangup.png'),
                #e00000;
    background-size: 4rem, auto 100%;
    margin-left: 1.5rem;
  }

  .incoming-number-info {
    background-color: rgba(255, 255, 255, 0.85);
    background-image: url('images/handled_call/actionicon_activecall_incomingcall.png');
    background-position: 27.2rem 2rem;
    background-repeat: no-repeat;
    padding: 1rem 4.5rem 0 2.5rem;
    height: 7rem;
    display: flex;
    flex-direction: column;
  }

  #incoming-number {
    width: calc(100% - 3rem);
    font-size: 3.4rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-top: 1rem;
    font-weight: 300;
  }

  #incoming-number-additional-info {
    display: block;
    font-size: 1.6rem;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  #incoming-ignore {
    background: #575757;
    font-style: italic;
    width: 29rem;
    margin: 1rem 1.5rem 1rem 1.5rem;
  }

  /* Conference group support */
  #group-call #group-show {
    position: absolute;
    padding: 0;
    right : 0;
    height: 10rem;
    width: 6rem;
    background: url('images/handled_call/actionicon_callscreen_proceed.png') no-repeat 2rem center / 3rem;
  }

  #group-call.held #group-show {
    display: none;
  }

  #group-call.ended #group-show {
    display: none;
  }

  #group-call #group-show:active {
    background-color: #00adad;
    transition: background-color 0.2s ease;
  }

  #calls #group-call-label {
    padding-right: 3rem;
  }

  #group-call .hangup-button,
  #calls:not(.big-duration) #group-call > .duration.isTimer,
  #group-call-details-list .duration,
  #group-call-details-list .switch-calls {
    display: none;
  }

  #group-call-details-list .number {
    font-size: 1.7rem !important;
    line-height: 2.4rem;
    white-space: nowrap;
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: bold;
  }

  #group-call-details {
    z-index: 750;
  }

  #group-call-details .hangup-button {
    float: right;
    width: 4.5rem;
    height: 4.5rem;
    background: url(images/handled_call/actionicon_activecall_hangup.png) no-repeat center center / 4rem;
  }

  #group-call .fake-number {
    position: absolute;
    top: 0;
    white-space: nowrap;
    font-size: 3.4rem;
    font-style: italic;
    line-height: 10rem;
    visibility: hidden;
  }

  #contact-background {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-position: center center;
    background-color: transparent;
    background-size: cover;
    opacity: 0;
    transition: opacity 0.3s linear;
  }

  #contact-background.ready {
    opacity: 1;
  }

  #bluetooth-menu {
    z-index: 751;
  }

  #call-screen[data-layout="dialing"] #callbar-answer,
  #call-screen[data-layout="dialing"] #swiper-wrapper,
  #call-screen[data-layout="incoming"] #swiper-wrapper,
  #call-screen[data-layout="incoming-locked"] #callbar-answer,
  #call-screen[data-layout="incoming-locked"] #callbar-hang-up,
  #call-screen[data-layout="incoming-locked"] #call-options,
  #call-screen[data-layout="incoming-locked"] .duration,
  #call-screen[data-layout="connected"] #swiper-wrapper,
  #call-screen[data-layout="connected"] #callbar-answer,
  #call-screen[data-layout="connected-hold"] #swiper-wrapper,
  #call-screen[data-layout="connected-hold"] #callbar-answer,
  #call-screen:not([data-layout="incoming-locked"]) #lockscreen-header {
    display: none;
  }

  #call-screen[data-layout="connected-hold"] #calls.big-duration .handled-call.ongoing .number,
  #call-screen[data-layout="connected-hold"] #calls.big-duration .handled-call.ongoing .additionalContactInfo {
    color: rgba(51, 51, 51, 0.7);
  }

  #call-screen[data-layout="connected-hold"] #callbar-hold {
    display: block;
  }

  #call-screen[data-layout="connected-hold"] #calls.big-duration .handled-call.ongoing .direction:before {
    background-image: url('images/handled_call/actionicon_callscreen_pausedcall.png');
    background-size: 4rem;
  }

  #call-screen[data-layout="connected-hold"] #co-advanced {
    pointer-events: none;
  }

  #call-screen[data-layout="connected-hold"] #co-advanced span.icon {
    opacity: 0.4;
  }

  #call-screen[data-layout="dialing"] #callbar-hang-up,
  #call-screen[data-layout="connected"] #callbar-hang-up {
    width: 100%;
  }

  #call-screen[data-layout="dialing"] #callbar-hang-up > .callbar-inner-button,
  #call-screen[data-layout="connected"] #callbar-hang-up > .callbar-inner-button {
    margin: 1rem 1.5rem 1rem 1.5rem;
  }

  #call-screen[data-layout="incoming"] #co-advanced,
  #call-screen[data-layout="incoming-locked"] #co-advanced {
    visibility: hidden;
  }

  #call-screen:not(.displayed) #co-advanced,
  #call-screen:not(.displayed) #callbar {
    pointer-events: none;
    opacity: 0.4;
  }

  #call-screen[data-layout="incoming"] #main-container,
  #call-screen[data-layout="incoming"] #main-container:before,
  #call-screen[data-layout="incoming-locked"] #main-container,
  #call-screen[data-layout="incoming-locked"] #main-container:before,
  #call-screen[data-layout="incoming-locked"] #calls *,
  #call-screen[data-layout="incoming-locked"] {
    background-color: transparent;
  }

  #call-screen[data-layout="incoming-locked"] #calls {
    position: absolute;
    top: calc(100% - 19rem);
    height: 9rem;
    color: #333;
    font-weight: normal;
    background: rgba(255, 255, 255, 0.85);
  }

  #call-screen[data-layout="incoming-locked"] .number {
    font-weight: lighter;
  }

  #call-screen[data-layout="incoming-locked"] #calls.big-duration .numberWrapper .number {
    line-height: 3.4rem;
    padding-top: 2rem;
  }

  #call-screen[data-layout="incoming-locked"] #calls.big-duration > section:not(.additionalInfo) .number {
    padding-top: 0;
    line-height: 9rem;
  }

  #call-screen[data-layout="incoming-locked"] #calls.big-duration .additionalContactInfo {
    font-weight: normal;
    line-height: 1.6rem;
    padding-bottom: 2rem;
  }

  #lockscreen-header {
    z-index: 9999;
    position: absolute;
    top: 3.4rem;
    left: 0;
    width: 100%;
    -moz-box-sizing: border-box;
    padding: 1.8rem 2.5rem 1.2rem 2.5rem;
    color: #fff;
    text-shadow: 0 0 0.3rem #333;
    transition: transform 0.2s ease, opacity 0.2s ease;
    opacity: 1;
  }

  #lockscreen-clock-time {
    margin: -0.6rem 0 -1rem -0.4rem;
    font-weight: 300;
    font-size: calc(26 * 0.226rem);
  }

  #lockscreen-clock-time span { /* optional meridiem */
    font-size: calc(17 * 0.226rem);
  }

  #lockscreen-date {
    font-weight: 400;
    font-size: calc(7 * 0.226rem);
  }

  #lockscreen-clock-time, #lockscreen-date {
    text-shadow: 0.1rem 0.1rem 0.3rem #000000;
    color: #fff;
  }

  /* We may need to sync system lockscreen media query part for showing call
     screen on larger screen size*/

  .merge-button {
    display: none;
  }

  #calls:not(.single-line) .handled-call.held .merge-button,
  #calls:not(.single-line) #group-call.held .merge-button {
    display: block;
    position: absolute;
    width: 6rem;
    height: 8rem;
    top: 0;
    right: 0;
    background: url(images/handled_call/actionicon_activecall_merge_calls.png) no-repeat center;
    background-size: 4rem;
    border: none;
    font-size: 0;
  }

  #calls:not(.single-line) .handled-call.ended.held .merge-button {
    display: none;
  }

  /* DSDS SIM indication support */
  .sim .sim-number {
    display: none;
  }

  /* Call screen, only 1 open line */
  .big-duration .sim {
    display: block;
    position: absolute;
    top: 17.5rem;
    left: 0;

    font-size: 1.6rem;
    line-height: 2rem;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.3);
  }

  /* Locked incoming call screen */
  #call-screen[data-layout="incoming-locked"] .sim {
    display: inline-block;
    position: absolute;
    top: 2.6rem;
    right: 2rem;
    height: 2.2rem;
    padding-right: 2.6rem;

    text-align: right;
    font-size: 1.3rem;
    line-height: 3rem;
  }
  #call-screen[data-layout="incoming-locked"] .sim .via-sim {
    display: none;
  }
  #call-screen[data-layout="incoming-locked"] .sim .sim-number {
    display: inline;
  }

  /* Call waiting UI */
  #incoming-container .sim {
    display: inline-block;
    position: absolute;
    top: 2.2rem;
    right: 4.4rem;

    text-align: right;
    font-size: 1.3rem;
    line-height: 1.5rem;
  }

  /* Hidden everywhere else */
  #group-call-details-list .sim,
  .sim {
    display: none;
    color: #ffffff;
    font-weight: normal;
  }
}
